<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a class="navbar-brand" [routerLink]="['/home']">
    <img src="../assets/youtube.png" width="30" height="30" class="d-inline-block align-top" alt="">
    {{title}}
  </a>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" [routerLink]="['/home']">Inicio <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item" *ngIf="identity">
        <a class="nav-link" [routerLink]="['/myVideos']">Mis videos</a>
      </li>
      <li class="nav-item" *ngIf="identity">
        <a class="nav-link" [routerLink]="['/video/add']">Añadir vídeo</a>
      </li>
      <li class="nav-item" *ngIf="identity">
        <a class="nav-link" [routerLink]="['/users-list']">Usuarios</a>
      </li>
      <img src="{{url + '/uploads/users/'+ identity.avatar}}" class="avatar-nav ml-3" alt="" *ngIf="identity && identity.avatar">
      <li class="nav-item dropdown" *ngIf="identity && identity.name">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
         aria-haspopup="true" aria-expanded="false" >
         {{identity.name}}
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" [routerLink]="['/user-edit']">Ajustes de usuario</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" (click)="logout()" style="cursor:pointer"><i class="fas fa-sign-out-alt"></i> Cerrar sesión</a>
        </div>
      </li>
    </ul>
    <ul class="navbar-nav ml-auto">
      <li class="nav-item active" *ngIf="!identity">
        <a class="nav-link" [routerLink]="['/login']"><i class="fas fa-sign-in-alt"></i> Login</a>
      </li>
      <li class="nav-item active" *ngIf="!identity">
        <a class="nav-link" [routerLink]="['/register']"><i class="fas fa-pen"></i> Registro</a>
      </li>
    </ul>
    <form class="form-inline my-2 my-lg-0" #formSearch="ngForm" (ngSubmit)="onSubmit()">
      <input class="form-control mr-sm-2" type="search" placeholder="Busca vídeos" aria-label="Search" name="searchString"
       id="SearchString" #searchString="ngModel" [(ngModel)]="search" required>
      <button class="btn btn-outline-success my-2 my-sm-0" type="submit" [disabled]="formSearch.form.invalid">Buscar</button>
    </form>
  </div>
</nav>
<!-- Fin de la barra de navegación -->

<router-outlet></router-outlet>



